Package org.astrogrid.samp.client

# Interface ResultHandler

All Known Implementing Classes:
  `LogResultHandler`, `PopupResultHandler`

public interface ResultHandler
Interface which consumes call responses.

Since:
  12 Nov 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`done()`
Called when no more `result(org.astrogrid.samp.Client, org.astrogrid.samp.Response)` invocations will be made, either because all have been received or for some other reason, such as a timeout or the hub shutting down.
`void`
`result(Client responder, Response response)`
Called when a response is received from a client to which the message was sent.

## Method Details

### result

void result(Client responder, Response response)
Called when a response is received from a client to which the message was sent.

Parameters:
  `responder` - responder client
  `response` - content of response

### done

void done()
Called when no more `result(org.astrogrid.samp.Client, org.astrogrid.samp.Response)` invocations will be made, either because all have been received or for some other reason, such as a timeout or the hub shutting down.